#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 statistics
version:              0.16.2.1
visibility:           public
id:                   statistics-0.16.2.1-57xrGQuvCTGEnCjQnhaMBD
key:                  statistics-0.16.2.1-57xrGQuvCTGEnCjQnhaMBD
license:              BSD-2-Clause
copyright:            2009-2014 Bryan O'\''Sullivan
maintainer:           Alexey Khudaykov <alexey.skladnoy@gmail.com>
author:
    Bryan O'\''Sullivan <bos@serpentine.com>, Alexey Khudaykov <alexey.skladnoy@gmail.com>

homepage:             https://github.com/haskell/statistics
synopsis:             A library of statistical types, data, and functions
description:
    This library provides a number of common functions and types useful
    in statistics.  We focus on high performance, numerical robustness,
    and use of good algorithms.  Where possible, we provide
    references to the statistical literature.

    The library'\''s facilities can be divided into four broad categories:

    * Working with widely used discrete and continuous probability
    distributions.  (There are dozens of exotic distributions in use;
    we focus on the most common.)

    * Computing with sample data: quantile estimation, kernel density
    estimation, histograms, bootstrap methods, significance testing,
    and regression and autocorrelation analysis.

    * Random variate generation under several different distributions.

    * Common statistical tests for significant differences between
    samples.

category:             Math, Statistics
abi:                  22283ee77d19da8e7e205980c0154d10
exposed:              True
exposed-modules:
    Statistics.Autocorrelation Statistics.ConfidenceInt
    Statistics.Correlation Statistics.Correlation.Kendall
    Statistics.Distribution Statistics.Distribution.Beta
    Statistics.Distribution.Binomial
    Statistics.Distribution.CauchyLorentz
    Statistics.Distribution.ChiSquared
    Statistics.Distribution.DiscreteUniform
    Statistics.Distribution.Exponential
    Statistics.Distribution.FDistribution Statistics.Distribution.Gamma
    Statistics.Distribution.Geometric
    Statistics.Distribution.Hypergeometric
    Statistics.Distribution.Laplace Statistics.Distribution.Lognormal
    Statistics.Distribution.NegativeBinomial
    Statistics.Distribution.Normal Statistics.Distribution.Poisson
    Statistics.Distribution.StudentT Statistics.Distribution.Transform
    Statistics.Distribution.Uniform Statistics.Distribution.Weibull
    Statistics.Function Statistics.Quantile Statistics.Regression
    Statistics.Resampling Statistics.Resampling.Bootstrap
    Statistics.Sample Statistics.Sample.Histogram
    Statistics.Sample.Internal Statistics.Sample.KernelDensity
    Statistics.Sample.KernelDensity.Simple Statistics.Sample.Normalize
    Statistics.Sample.Powers Statistics.Test.ChiSquared
    Statistics.Test.KolmogorovSmirnov Statistics.Test.KruskalWallis
    Statistics.Test.MannWhitneyU Statistics.Test.StudentT
    Statistics.Test.Types Statistics.Test.WilcoxonT
    Statistics.Transform Statistics.Types

hidden-modules:
    Statistics.Distribution.Poisson.Internal Statistics.Internal
    Statistics.Test.Internal Statistics.Types.Internal

import-dirs:          /usr/lib/ghc-9.0.2/site-local/statistics-0.16.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/statistics-0.16.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-statistics
hs-libraries:         HSstatistics-0.16.2.1-57xrGQuvCTGEnCjQnhaMBD
depends:
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib
    async-2.2.5-CixST7EyOy65rLGgPha7A3 base-4.15.1.0 binary-0.8.8.0
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO deepseq-1.4.5.0
    dense-linear-algebra-0.1.0.0-86DzXyO1CcW1cD2U3JL7XQ
    math-functions-0.3.4.3-K6RRrmK9GndL5TH0fJ9vXS
    mwc-random-0.15.0.2-2I04jViSlqEAqpfXK3Xmsy
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    primitive-0.7.4.0-3MecjX0EG9nEyOtRD6f3ja
    random-1.2.1.1-IvJyCZOiT9MCISTYBmDLQY
    vector-0.13.1.0-EeG9oFm4RPx9bHWOkj59Bl
    vector-algorithms-0.9.0.1-63x3komTfkIE4EWjmhtXKs
    vector-binary-instances-0.2.5.2-IYTVAi38Ypp26l0Ih1NgZl
    vector-th-unbox-0.2.2-GmRRlQUldIT3sGCjGF0B7i

haddock-interfaces:   /usr/share/doc/haskell-statistics/html/statistics.haddock
haddock-html:         /usr/share/doc/haskell-statistics/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

